Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.assets
Class ResourceChangeTrackerImpl

    java.lang.Object
      org.apache.tapestry5.internal.event.InvalidationEventHubImpl
          org.apache.tapestry5.internal.services.assets.ResourceChangeTrackerImpl

All Implemented Interfaces:
  ResourceChangeTracker, ResourceDependencies, InvalidationEventHub, UpdateListener

    public class ResourceChangeTrackerImpl

extends InvalidationEventHubImpl
implements ResourceChangeTracker, UpdateListener

Constructor Summary
`ResourceChangeTrackerImpl(ClasspathURLConverter classpathURLConverter, boolean productionMode)`

Method Summary
`void` | `addDependency(Resource dependency)` Marks the dependency as an additional resource.
`void` | `checkForUpdates()` Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.
`void` | `registerWithUpdateListenerHub(UpdateListenerHub hub)`
`long` | `trackResource(Resource resource)` Start tracking the resource (or return the last modified time of an already tracked resource).

Methods inherited from class org.apache.tapestry5.internal.event.InvalidationEventHubImpl
`addInvalidationListener, fireInvalidationEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub
`addInvalidationListener`

Constructor Detail

### ResourceChangeTrackerImpl

    public ResourceChangeTrackerImpl(ClasspathURLConverter classpathURLConverter,
                                     @Symbol(value="tapestry.production-mode")
                                     boolean productionMode)

Method Detail

### registerWithUpdateListenerHub

    @PostInjection
    public void registerWithUpdateListenerHub(UpdateListenerHub hub)

### trackResource

    public long trackResource(Resource resource)

  Description copied from interface: `ResourceChangeTracker`
  Start tracking the resource (or return the last modified time of an already tracked resource). Only file system resources are tracked. Resources are tracked until any resource changes, at which points listeners are notified and the internal state is cleared.

  Specified by:
    `trackResource` in interface `ResourceChangeTracker`
  Parameters:
    `resource` - to track
  Returns:
    last modified time, to nearest second
  See Also:
    `URLChangeTracker`

### addDependency

    public void addDependency(Resource dependency)

  Description copied from interface: `ResourceDependencies`
  Marks the dependency as an additional resource. A change to the dependency is considered the same as a change to the resource being transformed.

  Specified by:
    `addDependency` in interface `ResourceDependencies`

### checkForUpdates

    public void checkForUpdates()

  Description copied from interface: `UpdateListener`
  Invoked to force the receiver to check for updates to whatever underlying resources it makes use of.

  Specified by:
    `checkForUpdates` in interface `UpdateListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.